'use strict';

var fs = require('fs');
var join = require('path').join;
var chalk = require('chalk');

var outputFile = join(__dirname, '../help.txt');
var B = function B(text) {
	return chalk.bold(text);
};

var text = B('DESCRIPTION') + '\n\tThis command quickens the commit process for individual files. Files can be\n\tadded by providing a list of file globs. For example, ' + B('"src/**/*"') + ' will match\n\tall files of all subfolders of ' + B('"src/"') + '. If the given glob is a substring of\n\ta filename a match will always be made, unless the ' + B('--silent') + ' option is given.\n\tBy default, all matches are made case-insensitively.\n\n\tYou can specify which type of git files to match by using the ' + B('--only') + ' and\n\t' + B('--except') + ' options. Git types must be ' + B('deleted') + ', ' + B('modified') + ', ' + B('staged') + ', or ' + B('untracked') + '\n\t(' + B('d') + ', ' + B('m') + ', ' + B('s') + ', ' + B('u') + '), and separated by commas.\n\n\n' + B('USAGE') + '\n\tgac [options]\n\tgac [options] <path> <message>\n\n\n' + B('OPTIONS') + '\n\t-c, --case-sensitive          Match files case-sensitively.\n\t-e, --except=<type1,type2>    Specify which type of git files to ignore.\n\t-h, --help                    Display this help screen.\n\t-i, --interactive             Interactively find and commit files.\n\t-o, --only=<type1,type2>      Specify which type of git files to look for.\n\t-s, --silent                  Suppress success messages.\n\t-S, --strict                  Match files by only the exact glob given.\n\t-v, --version                 Print the version of this module.\n\n\n' + B('EXAMPLES') + '\n\tgac README "Add README" --case-sensitive\n\tgac html js scss "Commit all html, js, and scss files"\n\tgac --only modified,staged * "Commit all modified and staged files"\n\tgac -e=d,u * "Commit all files that are not deleted or untracked"\n';

fs.writeFile(outputFile, text);